# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectContainerConfig

Packages that use ISharedObjectContainerConfig
Package
Description
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic

## Uses of ISharedObjectContainerConfig in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement ISharedObjectContainerConfig
Modifier and Type
Class
Description
`class`
`SOContainerConfig`
Fields in org.eclipse.ecf.provider.generic declared as ISharedObjectContainerConfig
Modifier and Type
Field
Description
`protected ISharedObjectContainerConfig`
SOContainer.`config`
Methods in org.eclipse.ecf.provider.generic that return ISharedObjectContainerConfig
Modifier and Type
Method
Description
`ISharedObjectContainerConfig`
SOContainer.`getConfig()`
Constructors in org.eclipse.ecf.provider.generic with parameters of type ISharedObjectContainerConfig
Modifier
Constructor
Description
``
`ClientSOContainer(ISharedObjectContainerConfig config)`
``
`ServerSOContainer(ISharedObjectContainerConfig config)`
``
`SOContainer(ISharedObjectContainerConfig config)`
``
`SSLClientSOContainer(ISharedObjectContainerConfig config)`
``
`SSLClientSOContainer(ISharedObjectContainerConfig config, int ka)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, int keepAlive)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, int port, InetAddress bindAddress, String path, int keepAlive)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, InetAddress bindAddress, int keepAlive)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, SSLServerSocket sslServerSocket, int keepAlive)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, SSLServerSOContainerGroup grp, int keepAlive)`
``
`SSLServerSOContainer(ISharedObjectContainerConfig config, SSLServerSOContainerGroup listener, String path, int keepAlive)`
``
`TCPClientSOContainer(ISharedObjectContainerConfig config)`
``
`TCPClientSOContainer(ISharedObjectContainerConfig config, int ka)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config, int keepAlive)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config, int port, InetAddress bindAddress, String path, int keepAlive)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config, InetAddress bindAddress, int keepAlive)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config, TCPServerSOContainerGroup grp, int keepAlive)`
``
`TCPServerSOContainer(ISharedObjectContainerConfig config, TCPServerSOContainerGroup listener, String path, int keepAlive)`

## Uses of ISharedObjectContainerConfig in org.eclipse.ecf.provider.remoteservice.generic

Constructors in org.eclipse.ecf.provider.remoteservice.generic with parameters of type ISharedObjectContainerConfig
Modifier
Constructor
Description
``
`RemoteServiceContainer(ISharedObjectContainerConfig config)`
``
`RemoteServiceContainer(ISharedObjectContainerConfig config, int ka)`